# FoundationClasses
TKAdvTools
Expr

# Expr_Array1OfNamedUnknown Class Reference

`#include <Expr_Array1OfNamedUnknown.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | Expr_Array1OfNamedUnknown (const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT | Expr_Array1OfNamedUnknown (const Handle(Expr_NamedUnknown)&Item, const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT void | Init (const Handle(Expr_NamedUnknown)&V)
Standard_EXPORT void | Destroy ()
| ~Expr_Array1OfNamedUnknown ()
Standard_Boolean | IsAllocated () const
Standard_EXPORT const Expr_Array1OfNamedUnknown & | Assign (const Expr_Array1OfNamedUnknown &Other)
const Expr_Array1OfNamedUnknown & | operator= (const Expr_Array1OfNamedUnknown &Other)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_Integer | Upper () const
void | SetValue (const Standard_Integer Index, const Handle(Expr_NamedUnknown)&Value)
const Handle_Expr_NamedUnknown & | Value (const Standard_Integer Index) const
const Handle_Expr_NamedUnknown & | operator() (const Standard_Integer Index) const
Handle_Expr_NamedUnknown & | ChangeValue (const Standard_Integer Index)
Handle_Expr_NamedUnknown & | operator() (const Standard_Integer Index)

## Private Member Functions

Standard_EXPORT | Expr_Array1OfNamedUnknown (const Expr_Array1OfNamedUnknown &AnArray)

## Private Attributes

Standard_Integer | myLowerBound
Standard_Integer | myUpperBound
Standard_Address | myStart
Standard_Boolean | isAllocated

## Constructor & Destructor Documentation

Standard_EXPORT Expr_Array1OfNamedUnknown::Expr_Array1OfNamedUnknown | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

Standard_EXPORT Expr_Array1OfNamedUnknown::Expr_Array1OfNamedUnknown | ( | const Handle(Expr_NamedUnknown)& | Item,
|  | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

Expr_Array1OfNamedUnknown::~Expr_Array1OfNamedUnknown | ( |  | ) | `[inline]`

Standard_EXPORT Expr_Array1OfNamedUnknown::Expr_Array1OfNamedUnknown | ( | const Expr_Array1OfNamedUnknown & | AnArray | ) | `[private]`

## Member Function Documentation

Standard_EXPORT const Expr_Array1OfNamedUnknown& Expr_Array1OfNamedUnknown::Assign | ( | const Expr_Array1OfNamedUnknown & | Other | ) |

Handle_Expr_NamedUnknown& Expr_Array1OfNamedUnknown::ChangeValue | ( | const Standard_Integer | Index | ) |

Standard_EXPORT void Expr_Array1OfNamedUnknown::Destroy | ( |  | ) |

Standard_EXPORT void Expr_Array1OfNamedUnknown::Init | ( | const Handle(Expr_NamedUnknown)& | V | ) |

Standard_Boolean Expr_Array1OfNamedUnknown::IsAllocated | ( |  | ) | const

Standard_Integer Expr_Array1OfNamedUnknown::Length | ( |  | ) | const

Standard_Integer Expr_Array1OfNamedUnknown::Lower | ( |  | ) | const

void Expr_Array1OfNamedUnknown::operator delete | ( | void * | anAddress | ) | `[inline]`

void* Expr_Array1OfNamedUnknown::operator new | ( | size_t | size | ) | `[inline]`

void* Expr_Array1OfNamedUnknown::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Handle_Expr_NamedUnknown& Expr_Array1OfNamedUnknown::operator() | ( | const Standard_Integer | Index | ) | `[inline]`

const Handle_Expr_NamedUnknown& Expr_Array1OfNamedUnknown::operator() | ( | const Standard_Integer | Index | ) | const`[inline]`

const Expr_Array1OfNamedUnknown& Expr_Array1OfNamedUnknown::operator= | ( | const Expr_Array1OfNamedUnknown & | Other | ) | `[inline]`

void Expr_Array1OfNamedUnknown::SetValue | ( | const Standard_Integer | Index,
|  | const Handle(Expr_NamedUnknown)& | Value
| ) |

Standard_Integer Expr_Array1OfNamedUnknown::Upper | ( |  | ) | const

const Handle_Expr_NamedUnknown& Expr_Array1OfNamedUnknown::Value | ( | const Standard_Integer | Index | ) | const

## Field Documentation

Standard_Boolean Expr_Array1OfNamedUnknown::isAllocated `[private]`

Standard_Integer Expr_Array1OfNamedUnknown::myLowerBound `[private]`

Standard_Address Expr_Array1OfNamedUnknown::myStart `[private]`

Standard_Integer Expr_Array1OfNamedUnknown::myUpperBound `[private]`

The documentation for this class was generated from the following file:

- Expr_Array1OfNamedUnknown.hxx